@import url("https://fonts.googleapis.com/css2?family=Cormorant+Garamond:wght@500;600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&display=swap");

body {
  font-family: "Arial", system-ui, sans-serif;
  line-height: 1.3rem;
  letter-spacing: 0.02rem;
  background-color: #faf8f8;
  margin: 40px 0;
  font-size: 14px;
  color: #21201E;
}

:any-link {
  color: currentColor;
}

#header {
  margin: 40px;
  display: grid;
  grid-template-columns: minmax(0, 1fr) auto minmax(0, 1fr);
  align-items: center;
}

h1 {
  font-size: 72px;
  font-family: "Cormorant Garamond", serif;
  font-weight: bold;
}

h4 {
  margin-top: 1rem;
  margin-bottom: 1rem;
  font-size: 16px;
  font-family: "Arial", system-ui, sans-serif;
  font-weight: lighter;
  line-height: 1.5rem;
}

h2 {
  margin-top: 1rem;
  margin-bottom: 1rem;
  font-size: 32px;
  font-family: "Cormorant Garamond", serif;
  line-height: 1.8rem;
}

#header h1 {
  justify-self: start;
  font-size: 26px;
}

#intro h1 {
  margin-bottom: 2rem;
}

#intro {
  margin-right: 60px;
}

#header nav {
  justify-self: center;
}

#header #cta {
  justify-self: end;
}

nav {
  display: flex;
  gap: 3rem;
  font-family: "Inter", system-ui, sans-serif;
}

nav a {
  letter-spacing: 0.03rem;
}

nav a:hover {
  text-shadow: 0 4px 4px #d2d2d2;
}

.cta {
  color: white;
  background-color: saddlebrown;
  font-family: "Inter", system-ui, sans-serif;
  padding: 6px 15px;
  border-radius: 20px;
}

.watch {
  border: 1px solid #21201E;
  padding: 6px 15px;
  border-radius: 20px;
}

a.cta, .ctas a:hover {
  box-shadow: 2px 2px 4px #ddd;
}

#footer {
  font-family: "Cormorant Garamond", serif;
  margin: 20px 40px;
  font-weight: bolder;
}

h3 {
  margin-bottom: 1rem;
  font-size: 11px;
  font-weight: bold;
  color: saddlebrown;
  letter-spacing: 1px;
  text-transform: uppercase;
}

#villian {
  margin: 40px 0;
  padding: 0 40px;
  display: flex;
  gap: 20px;
  justify-content: space-between;
}

#intro {
  display: flex;
  flex-direction: column;
  gap: 12px;
  justify-content: start;
}

#main-photo img {
  border: 3px solid #e2e2e2;
  padding: 3px;
}


.ctas {
  font-family: "Arial", system-ui, sans-serif;
  display: flex;
  gap: 20px;
  align-items: baseline;
}

#split {
  border-top: 1px solid #e2e2e2;
  border-bottom: 1px solid #e2e2e2;
  padding: 0 40px;
  display: flex;
}

#split > * {
  padding: 30px 0;
}

#how-it-works {
  padding-right: 40px;
  border-right: 1px solid #e2e2e2;
}

#details-wrapper {
  padding-left: 30px;
}

i {
  font-weight: 1000;
}

ol {
  font-family: "Arial", system-ui, sans-serif;
  justify-content: space-between;
  gap: 12px;
  display: flex;
}

ol li {
  display: flex;
  flex-direction: column;
  gap: 12px;
  justify-content: flex-start;
  align-content: flex-start;
  text-align: center;
  width: 33%;
}

ol li img {
  height: 50px;
  margin: 0 auto;
}

.numero {
  font-size: 24px;
  font-weight: lighter;
  opacity: 0.7;
}

ol li {
  font-size: 12px;
}

#details {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 12px;
}

.detail {
  background: #F4F2EF;
  padding: 12px 10px;
  font-size: 12px;
  display: grid;
  grid-template-columns: 32px 1fr;
  gap: 10px;
}

dt {
  margin-bottom: 6px;
  font-weight: bold;
}
